import { postRequest, getRequest, postJsonRequest } from '@/api/api';

// 新增活码分组
export const addActCodeGroupApi = params => postRequest('/haoban-manage3-web/hm/group/save', params);

// 编辑活码分组
export const editActCodeGroupApi = params => postRequest('/haoban-manage3-web/hm/group/edit', params);

// 删除分组
export const delActCodeGroupApi = params => postRequest('/haoban-manage3-web/hm/group/delete', params);

// 活码列表
export const actCodeListApi = params => postJsonRequest('/haoban-manage3-web/hm/qrcode/list', params);

// 落地页模板列表
export const guidePageList = params => getRequest('/haoban-manage3-web/hm/guide/page/list', params);

// 落地页模板删除
export const guidePageDel = params => postRequest('/haoban-manage3-web/hm/guide/page/delete', params);

// 落地页模板关联详情
export const guidePageRelation = params => getRequest('/haoban-manage3-web/hm/guide/page/relation', params);

// 落地页模板详情
export const guidePageDetail = params => getRequest('/haoban-manage3-web/hm/guide/page/detail', params);

// 落地页  获取当前企业电话、logo
export const wxEnterpriseList = params => postRequest('/haoban-manage3-web/wx-enterprise-list?filteRight=1&requestProject=haoban-manage-web', params);

// 落地页模板编辑详情
export const guidePageEdit = params => postRequest('/haoban-manage3-web/hm/guide/page/edit', params);

// 落地页模板新增详情
export const guidePageSave = params => postRequest('/haoban-manage3-web/hm/guide/page/save', params);

// 【活码链接】 -- 列表
export const linkPage = params => postRequest('/haoban-manage3-web/hm/link/page', params);

//【活码】详情-查看明细列表
export const detailClerkList = params => postJsonRequest('/haoban-manage3-web/hm/qrcode/detail-clerk-list-page', params);

//【欢迎语】-- 特殊欢迎语关联详情列表
export const welcomeRelationList = params => getRequest('/haoban-manage3-web/welcome/relation/list', params);

// 【活码链接】-- 新增
export const linkAdd = params => postJsonRequest('/haoban-manage3-web/hm/link/add', params);

// 【活码链接】-- 编辑
export const linkUpdate = params => postJsonRequest('/haoban-manage3-web/hm/link/update', params);

// 【活码链接】-- 详情 actCode
export const linkDetail = params => postJsonRequest('/haoban-manage3-web/hm/link/detail', params);

//  【活码链接】 -- 统计-总计
export const statisticsTotal = params => postJsonRequest('/haoban-manage3-web/hm/link/statistics/total', params);

//  【活码链接】 -- 统计-图表
export const statisticsChart = params => postJsonRequest('/haoban-manage3-web/hm/link/statistics/chart', params);

//  【活码链接】 -- 统计--查看明细
export const statisticsClerk = params => postJsonRequest('/haoban-manage3-web/hm/link/statistics/clerk', params);
